Package be.ehealth.business.common.domain

# Class Patient.Builder

java.lang.Object
be.ehealth.business.common.domain.Patient.Builder

Enclosing class:
  `Patient`

public static class Patient.Builder extends Object
Patient builder static class

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Builder()`
  `Builder(Patient existingPatient)`
  Builder with existing (template) patient object.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Patient`
  `build()`
  build the patient object and checks for parameters integrity
  `Patient.Builder`
  `withEid(String eid)`
  `Patient.Builder`
  `withFamilyName(String value)`
  `Patient.Builder`
  `withFirstName(String value)`
  `Patient.Builder`
  `withInss(String value)`
  `Patient.Builder`
  `withIsiPlus(String value)`
  `Patient.Builder`
  `withLastName(String value)`
  `Patient.Builder`
  `withMiddleName(String value)`
  `Patient.Builder`
  `withMutuality(String value)`
  `Patient.Builder`
  `withRegNrWithMut(String value)`
  `Patient.Builder`
  `withSis(String value)`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Builder

    public Builder()

  - ### Builder

    public Builder(Patient existingPatient)
    Builder with existing (template) patient object. enables this builder for subtypes.

- ## Method Details

  - ### withFirstName

    public Patient.Builder withFirstName(String value)
    Parameters:
      `value` -
    Returns:

  - ### withFamilyName

    public Patient.Builder withFamilyName(String value)
    Parameters:
      `value` -
    Returns:

  - ### withLastName

    public Patient.Builder withLastName(String value)
    Parameters:
      `value` -
    Returns:

  - ### withMiddleName

    public Patient.Builder withMiddleName(String value)
    Parameters:
      `value` -
    Returns:

  - ### withMutuality

    public Patient.Builder withMutuality(String value)
    Parameters:
      `value` -
    Returns:

  - ### withRegNrWithMut

    public Patient.Builder withRegNrWithMut(String value)
    Parameters:
      `value` -
    Returns:

  - ### withInss

    public Patient.Builder withInss(String value)
    Parameters:
      `value` -
    Returns:

  - ### withSis

    public Patient.Builder withSis(String value)
    Parameters:
      `value` -
    Returns:

  - ### withIsiPlus

    public Patient.Builder withIsiPlus(String value)
    Parameters:
      `value` -
    Returns:

  - ### withEid

    public Patient.Builder withEid(String eid)
    Parameters:
      `eid` -
    Returns:

  - ### build

    public Patient build() throws IllegalStateException
    build the patient object and checks for parameters integrity
    Throws:
      `IllegalStateException`